org.jfree.util

## Class StrokeList

- java.lang.Object
- - org.jfree.util.AbstractObjectList
  - - org.jfree.util.StrokeList

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class StrokeList
    extends AbstractObjectList

A table of `Stroke` objects.

Author:
  David Gilbert
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.jfree.util.AbstractObjectList

`DEFAULT_INITIAL_CAPACITY`

### Constructor Summary

Constructors
Constructor and Description
`StrokeList()` Creates a new list.

### Method Summary

Methods
`java.lang.Object` `clone()` Returns an independent copy of the list.
`boolean` `equals(java.lang.Object o)` Tests the list for equality with another object (typically also a list).
`java.awt.Stroke` `getStroke(int index)` Returns a `Stroke` object from the list.
`int` `hashCode()` Returns a hash code value for the object.
`void` `setStroke(int index, java.awt.Stroke stroke)` Sets the `Stroke` for an item in the list.

### Methods inherited from class org.jfree.util.AbstractObjectList

`clear, get, indexOf, set, size`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StrokeList

    public StrokeList()

Creates a new list.

### Method Detail

#### getStroke

    public java.awt.Stroke getStroke(int index)

Returns a `Stroke` object from the list.

Parameters:
  `index` - the index (zero-based).
Returns:
  The object.

#### setStroke

    public void setStroke(int index,
                 java.awt.Stroke stroke)

Sets the `Stroke` for an item in the list. The list is expanded if necessary.

Parameters:
  `index` - the index (zero-based).
  `stroke` - the `Stroke`.

#### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

Returns an independent copy of the list.

Overrides:
  `clone` in class `AbstractObjectList`
Returns:
  A clone.
Throws:
  `java.lang.CloneNotSupportedException` - if an item in the list cannot be cloned.

#### equals

    public boolean equals(java.lang.Object o)

Tests the list for equality with another object (typically also a list).

Overrides:
  `equals` in class `AbstractObjectList`
Parameters:
  `o` - the other object.
Returns:
  A boolean.

#### hashCode

    public int hashCode()

Returns a hash code value for the object.

Overrides:
  `hashCode` in class `AbstractObjectList`
Returns:
  the hashcode